
set( larana_VERSION 08.10.00 )
set( larana_UPS_VERSION v08_10_00 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################



## find_library directives
find_ups_product( larcoreobj  )
find_ups_product( canvas  )
find_ups_product( cppunit  )
find_ups_product( clhep  )
find_ups_product( cetlib_except  )
find_ups_product( cetlib v2_01_00 )
find_ups_boost( v1_50_0 )
find_ups_product( sqlite  )
find_ups_product( hep_concurrency  )
find_ups_product( tbb  )
  cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
  cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
find_ups_product( fhiclcpp  )
find_ups_product( python  )
find_ups_product( messagefacility  )
find_ups_product( range  )
  cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
find_ups_root(  )
find_ups_product( larcorealg  )
find_ups_product( larcore  )
find_ups_product( art  )
find_ups_product( art_root_io  )
find_ups_product( canvas_root_io  )
find_ups_product( lardataobj  )
find_ups_product( nusimdata  )
find_ups_product( dk2nudata v01_05_01 )
find_ups_product( lardataalg  )
find_ups_product( lardata  )
find_ups_product( postgresql  )
  cet_find_library( NUSIMDATA_SIMULATIONBASE NAMES nusimdata_SimulationBase PATHS ENV NUSIMDATA_LIB NO_DEFAULT_PATH )
  cet_find_library( PQ NAMES pq PATHS ENV POSTGRESQL_LIBRARIES NO_DEFAULT_PATH )
find_ups_product( larevt  )
find_ups_product( libwda  )
find_ups_product( larsim  )
find_ups_product( marley  )
find_ups_product( nutools  )
find_ups_product( geant4  )
find_ups_product( xerces_c v3_0_0 )
  cet_find_library( G4FR NAMES G4FR PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GMOCREN NAMES G4GMocren PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4OPENGL NAMES G4OpenGL PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4RAYTRACER NAMES G4RayTracer PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4TREE NAMES G4Tree PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4VRML NAMES G4VRML PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4ANALYSIS NAMES G4analysis PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4DIGITS_HITS NAMES G4digits_hits PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4ERROR_PROPAGATION NAMES G4error_propagation PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4EVENT NAMES G4event PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GEOMETRY NAMES G4geometry PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GL2PS NAMES G4gl2ps PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GLOBAL NAMES G4global PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GRAPHICS_REPS NAMES G4graphics_reps PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4INTERCOMS NAMES G4intercoms PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4INTERFACES NAMES G4interfaces PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4MATERIALS NAMES G4materials PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4MODELING NAMES G4modeling PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PARMODELS NAMES G4parmodels PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PARTICLES NAMES G4particles PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PERSISTENCY NAMES G4persistency PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PHYSICSLISTS NAMES G4physicslists PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PROCESSES NAMES G4processes PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4READOUT NAMES G4readout PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4RUN NAMES G4run PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4TRACK NAMES G4track PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4TRACKING NAMES G4tracking PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4VISHEPREP NAMES G4visHepRep PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4VISXXX NAMES G4visXXX PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4VIS_MANAGEMENT NAMES G4vis_management PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4ZLIB NAMES G4zlib PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( CRY NAMES CRY PATHS ENV CRY_LIB NO_DEFAULT_PATH )
  cet_find_library( IFDH NAMES ifdh PATHS ENV IFDHC_LIB NO_DEFAULT_PATH )
  cet_find_library( IFDH_SERVICE NAMES IFDH_service PATHS ENV IFDH_ART_LIB NO_DEFAULT_PATH )
find_ups_product( nugen  )
find_ups_product( genie  )
find_ups_product( dk2nugenie  )
  cet_find_library( PYTHIA6 NAMES Pythia6 PATHS ENV PYLIB NO_DEFAULT_PATH )
  cet_find_library( LHAPDF NAMES LHAPDF PATHS ENV LHAPDF_LIB NO_DEFAULT_PATH )
  cet_find_library( LOG4CPP NAMES log4cpp PATHS ENV LOG4CPP_LIB NO_DEFAULT_PATH )
  cet_find_library( XML2 NAMES xml2 PATHS /Users/macdev/workspace/build-nulite-matrix/BUILDTYPE/prof/QUAL/s84-c2/label1/swarm/label2/OSX-10.13/build/libxml2/v2_9_9/Darwin64bit+17-prof/lib NO_DEFAULT_PATH )
  cet_find_library( GALGORITHM NAMES GAlgorithm PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GBARYONRESONANCE NAMES GBaryonResonance PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GBASE NAMES GBase PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GBODEKYANG NAMES GBodekYang PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GCHARM NAMES GCharm PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GCOH NAMES GCoh PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GDFRC NAMES GDfrc PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GDIS NAMES GDIS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GCROSSSECTIONS NAMES GCrossSections PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GDECAY NAMES GDecay PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GELAS NAMES GElas PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GELFF NAMES GElFF PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GHEP NAMES GHEP PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GEVGCORE NAMES GEVGCore PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GEVGMODULES NAMES GEVGModules PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GEVGDRIVERS NAMES GEVGDrivers PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GGIBUU NAMES GGiBUU PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GHADRONTRANSP NAMES GHadronTransp PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFRAGMENTATION NAMES GFragmentation PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GINTERACTION NAMES GInteraction PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GLLEWELLYNSMITH NAMES GLlewellynSmith PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GMEC NAMES GMEC PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GMESSENGER NAMES GMessenger PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GNUGAMMA NAMES GNuGamma PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GNUE NAMES GNuE PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GNTUPLE NAMES GNtuple PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GNUCLEAR NAMES GNuclear PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GNUMERICAL NAMES GNumerical PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GQPM NAMES GQPM PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPDG NAMES GPDG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPDF NAMES GPDF PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GQEL NAMES GQEL PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GRES NAMES GRES PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GREGISTRY NAMES GRegistry PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GREINSEHGAL NAMES GReinSehgal PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GUTILS NAMES GUtils PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GGEO NAMES GGeo PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFLUXDRIVERS NAMES GFluxDrivers PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GMUELOSS NAMES GMuELoss PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GREWEIGHT NAMES GReWeight PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GNUCLEONDECAY NAMES GNucleonDecay PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( DK2NU_TREE NAMES dk2nuTree PATHS ENV DK2NUDATA_LIB NO_DEFAULT_PATH )
  cet_find_library( DK2NU_GENIE NAMES dk2nuGenie PATHS ENV DK2NUGENIE_LIB NO_DEFAULT_PATH )
find_ups_product( nurandom  )
find_ups_product( ifdhc  )
  cet_find_library( BOOST_SERIALIZATION NAMES boost_serialization PATHS ENV BOOST_LIB NO_DEFAULT_PATH )
  cet_find_library( BOOST_DATE_TIME NAMES boost_date_time PATHS ENV BOOST_LIB NO_DEFAULT_PATH )
  cet_find_library( GREINSEGHAL NAMES GReinSeghal PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( MARLEY NAMES MARLEY PATHS ENV MARLEY_LIB NO_DEFAULT_PATH )
  cet_find_library( MARLEY_ROOT NAMES MARLEY_ROOT PATHS ENV MARLEY_LIB NO_DEFAULT_PATH )
find_ups_product( larreco  )
find_ups_product( eigen  )
set(LARANA_OPTICALDETECTOR_OPHITFINDER "$ENV{LARANA_LIB}/liblarana_OpticalDetector_OpHitFinder.dylib")
set(LARANA_OPTICALDETECTOR "$ENV{LARANA_LIB}/liblarana_OpticalDetector.dylib")
set(LARANA_OPTICALDETECTOR_DEFAULTOPDETRESPONSE_SERVICE "$ENV{LARANA_LIB}/liblarana_OpticalDetector_DefaultOpDetResponse_service.dylib")
set(LARANA_OPTICALDETECTOR_FIFOHISTOGRAMANA_MODULE "$ENV{LARANA_LIB}/liblarana_OpticalDetector_FIFOHistogramAna_module.dylib")
set(LARANA_OPTICALDETECTOR_FLASHHYPOTHESISANA_MODULE "$ENV{LARANA_LIB}/liblarana_OpticalDetector_FlashHypothesisAna_module.dylib")
set(LARANA_OPTICALDETECTOR_LEDCALIBRATIONANA_MODULE "$ENV{LARANA_LIB}/liblarana_OpticalDetector_LEDCalibrationAna_module.dylib")
set(LARANA_OPTICALDETECTOR_MICROBOONEOPDETRESPONSE_SERVICE "$ENV{LARANA_LIB}/liblarana_OpticalDetector_MicrobooneOpDetResponse_service.dylib")
set(LARANA_OPTICALDETECTOR_OPDIGIANA_MODULE "$ENV{LARANA_LIB}/liblarana_OpticalDetector_OpDigiAna_module.dylib")
set(LARANA_OPTICALDETECTOR_OPDIGIPROPERTIES_SERVICE "$ENV{LARANA_LIB}/liblarana_OpticalDetector_OpDigiProperties_service.dylib")
set(LARANA_OPTICALDETECTOR_OPFLASHANA_MODULE "$ENV{LARANA_LIB}/liblarana_OpticalDetector_OpFlashAna_module.dylib")
set(LARANA_OPTICALDETECTOR_OPFLASHFINDER_MODULE "$ENV{LARANA_LIB}/liblarana_OpticalDetector_OpFlashFinder_module.dylib")
set(LARANA_OPTICALDETECTOR_OPFLASHMCTRUTHANA_MODULE "$ENV{LARANA_LIB}/liblarana_OpticalDetector_OpFlashMCTruthAna_module.dylib")
set(LARANA_OPTICALDETECTOR_OPFLASHSIMPLEANA_MODULE "$ENV{LARANA_LIB}/liblarana_OpticalDetector_OpFlashSimpleAna_module.dylib")
set(LARANA_OPTICALDETECTOR_OPHITANA_MODULE "$ENV{LARANA_LIB}/liblarana_OpticalDetector_OpHitAna_module.dylib")
set(LARANA_OPTICALDETECTOR_OPHITFINDER_MODULE "$ENV{LARANA_LIB}/liblarana_OpticalDetector_OpHitFinder_module.dylib")
set(LARANA_OPTICALDETECTOR_OPMCDIGI_MODULE "$ENV{LARANA_LIB}/liblarana_OpticalDetector_OpMCDigi_module.dylib")
set(LARANA_OPTICALDETECTOR_OPTDETDIGITIZER_MODULE "$ENV{LARANA_LIB}/liblarana_OpticalDetector_OptDetDigitizer_module.dylib")
set(LARANA_OPTICALDETECTOR_OPTICALRAWDIGITREFORMATTER_MODULE "$ENV{LARANA_LIB}/liblarana_OpticalDetector_OpticalRawDigitReformatter_module.dylib")
set(LARANA_OPTICALDETECTOR_OPTICALRECOANA_MODULE "$ENV{LARANA_LIB}/liblarana_OpticalDetector_OpticalRecoAna_module.dylib")
set(LARANA_OPTICALDETECTOR_PMTANA_MODULE "$ENV{LARANA_LIB}/liblarana_OpticalDetector_PMTAna_module.dylib")
set(LARANA_OPTICALDETECTOR_SIMPHOTONCOUNTER_MODULE "$ENV{LARANA_LIB}/liblarana_OpticalDetector_SimPhotonCounter_module.dylib")
set(LARANA_PARTICLEIDENTIFICATION "$ENV{LARANA_LIB}/liblarana_ParticleIdentification.dylib")
set(LARANA_PARTICLEIDENTIFICATION_CHI2PARTICLEID_MODULE "$ENV{LARANA_LIB}/liblarana_ParticleIdentification_Chi2ParticleID_module.dylib")
set(LARANA_PARTICLEIDENTIFICATION_MVAPID_MODULE "$ENV{LARANA_LIB}/liblarana_ParticleIdentification_MVAPID_module.dylib")
set(LARANA_PARTICLEIDENTIFICATION_PIDAANALYZER_MODULE "$ENV{LARANA_LIB}/liblarana_ParticleIdentification_PIDAAnalyzer_module.dylib")
set(LARANA_COSMICREMOVAL_TRACKCONTAINMENT "$ENV{LARANA_LIB}/liblarana_CosmicRemoval_TrackContainment.dylib")
set(LARANA_COSMICREMOVAL "$ENV{LARANA_LIB}/liblarana_CosmicRemoval.dylib")
set(LARANA_COSMICREMOVAL_BEAMFLASHTRACKMATCHTAGGER_MODULE "$ENV{LARANA_LIB}/liblarana_CosmicRemoval_BeamFlashTrackMatchTagger_module.dylib")
set(LARANA_COSMICREMOVAL_CRHITREMOVALBYPCA_MODULE "$ENV{LARANA_LIB}/liblarana_CosmicRemoval_CRHitRemovalByPCA_module.dylib")
set(LARANA_COSMICREMOVAL_CRHITREMOVAL_MODULE "$ENV{LARANA_LIB}/liblarana_CosmicRemoval_CRHitRemoval_module.dylib")
set(LARANA_COSMICREMOVAL_COSMICCLUSTERTAGGER_MODULE "$ENV{LARANA_LIB}/liblarana_CosmicRemoval_CosmicClusterTagger_module.dylib")
set(LARANA_COSMICREMOVAL_COSMICPCAXISTAGGER_MODULE "$ENV{LARANA_LIB}/liblarana_CosmicRemoval_CosmicPCAxisTagger_module.dylib")
set(LARANA_COSMICREMOVAL_COSMICPFPARTICLETAGGER_MODULE "$ENV{LARANA_LIB}/liblarana_CosmicRemoval_CosmicPFParticleTagger_module.dylib")
set(LARANA_COSMICREMOVAL_COSMICREMOVALANA_MODULE "$ENV{LARANA_LIB}/liblarana_CosmicRemoval_CosmicRemovalAna_module.dylib")
set(LARANA_COSMICREMOVAL_COSMICTRACKTAGGER_MODULE "$ENV{LARANA_LIB}/liblarana_CosmicRemoval_CosmicTrackTagger_module.dylib")
set(LARANA_COSMICREMOVAL_TRACKCONTAINMENTANALYZER_MODULE "$ENV{LARANA_LIB}/liblarana_CosmicRemoval_TrackContainmentAnalyzer_module.dylib")
set(LARANA_COSMICREMOVAL_TRACKCONTAINMENTTAGGER_MODULE "$ENV{LARANA_LIB}/liblarana_CosmicRemoval_TrackContainmentTagger_module.dylib")
set(LARANA_COSMICREMOVAL_TRACKPFPARTICLEMATCH_MODULE "$ENV{LARANA_LIB}/liblarana_CosmicRemoval_TrackPFParticleMatch_module.dylib")
set(LARANA_T0FINDER_ASSOCIATIONSTOOLS_DIRECTHITPARTICLEASSNS_TOOL "$ENV{LARANA_LIB}/liblarana_T0Finder_AssociationsTools_DirectHitParticleAssns_tool.dylib")
set(LARANA_T0FINDER_ASSOCIATIONSTOOLS_INDIRECTHITPARTICLEASSNS_TOOL "$ENV{LARANA_LIB}/liblarana_T0Finder_AssociationsTools_IndirectHitParticleAssns_tool.dylib")
set(LARANA_T0FINDER_MCPARTICLEHITMATCHING_MODULE "$ENV{LARANA_LIB}/liblarana_T0Finder_MCParticleHitMatching_module.dylib")
set(LARANA_T0FINDER_MCPARTICLESHOWERMATCHING_MODULE "$ENV{LARANA_LIB}/liblarana_T0Finder_MCParticleShowerMatching_module.dylib")
set(LARANA_T0FINDER_MCPARTICLETRACKMATCHING_MODULE "$ENV{LARANA_LIB}/liblarana_T0Finder_MCParticleTrackMatching_module.dylib")
set(LARANA_T0FINDER_MCTRUTHT0MATCHING_MODULE "$ENV{LARANA_LIB}/liblarana_T0Finder_MCTruthT0Matching_module.dylib")
set(LARANA_T0FINDER_PHOTONCOUNTERT0MATCHING_MODULE "$ENV{LARANA_LIB}/liblarana_T0Finder_PhotonCounterT0Matching_module.dylib")
set(LARANA_TRUNCATEDMEAN_ALGORITHM "$ENV{LARANA_LIB}/liblarana_TruncatedMean_Algorithm.dylib")
  include_directories ( "$ENV{LARANA_INC}" )

check_required_components(larana)

